/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

#include <qfiledialog.h>

QString ConfigDialog::get_aofilename()
{
    if (enable_autoload->isChecked())  return inp_aofilename->text();
    else return QString::null;
}


bool ConfigDialog::get_descMode()
{
    return rad_end->isChecked();
}


void ConfigDialog::getfile_pressed()
{
    QString filename=QFileDialog::getOpenFileName(
                    	".",
                    	"XML-Files (*.xml)",
                    	this,
                    	"TimeTrack file dialog",
                    	"Choose a file to open automatically" );

    if (filename!="") inp_aofilename->setText(filename);

}


void ConfigDialog::set_aofilename( const QString & filename )
{
    inp_aofilename->setText(filename);
    inp_aofilename->setEnabled(true);
    enable_autoload->setChecked(true);
}


void ConfigDialog::set_descMode( const int & mode )
{
    if (mode) 
	rad_end->setChecked(true);
    else 
	rad_start->setChecked(true);
}




bool ConfigDialog::isEnabled_AOF()
{
    return enable_autoload->isChecked();
}


bool ConfigDialog::isEnabled_AOT()
{
    return enable_autotemplate->isChecked();
}


QString ConfigDialog::get_aottemplate()
{
    if (enable_autotemplate->isChecked()) return inp_aotemplate->text();
    else return QString::null;
}

void ConfigDialog::aof_clicked()
{
    if (enable_autoload->isChecked()) inp_aofilename->setEnabled(true);
    else inp_aofilename->setEnabled(false);
}


void ConfigDialog::aot_clicked()
{
    if (enable_autotemplate->isChecked()) inp_aotemplate->setEnabled(true);
    else inp_aotemplate->setEnabled(false);
}


void ConfigDialog::set_aotemplate( const QString & templ )
{
    inp_aotemplate->setText(templ);
    inp_aotemplate->setEnabled(true);
    enable_autotemplate->setChecked(true);
}


void ConfigDialog::gettemplate_pressed()
{
    QString filename=QFileDialog::getOpenFileName(
                    	".",
                    	"XML-Files (*.xml)",
                    	this,
                    	"TimeTrack file dialog",
                    	"Choose a file to open automatically" );

    if (filename!="") inp_aotemplate->setText(filename);
}
