/***************************************************************************
 *   Copyright (C) 2004 by Thomas Thiel                                    *
 *   wolfchild@wolfchild.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include <qapplication.h>

#include "cmainwindow.h"
#include "CGenericConfig.h"

CGenericConfig *TimeTrackConf;

// hi there ! This one is easy:

int main( int argc, char ** argv ) 
{
	QString configfile;
	configfile = getenv ("HOME");
	configfile += "/.timetrackrc";
	TimeTrackConf = new CGenericConfig (configfile);


		// make a qapplication...
    QApplication a( argc, argv );
		// ...make the MainWindow...
    CMainWindow * mw = new CMainWindow();
		// ...prepare it for everything...
    mw->init();
    mw->setCaption( "TimeTrack" );
		// ...show it and the splashscreen...
    mw->show();
		mw->showSplash();
		// ...make the app quittable (bah)...
    a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
		// ...and quit like a quitter.
    return a.exec();
    
    delete TimeTrackConf;
}
