/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


void ReportGenerator::setTabHeader( QString str )
{
    tabheader->setText(str);
}


void ReportGenerator::setTabFooter( QString str )
{
    tabfooter->setText(str);
}


void ReportGenerator::setDocHeader( QString str )
{
    docheader->setText(str);
}


void ReportGenerator::setDocFooter( QString str )
{
    docfooter->setText(str);
}


void ReportGenerator::setTimerHeader( QString str )
{
    timerheader->setText(str);
}


void ReportGenerator::setTimerFooter( QString str )
{
    timerfooter->setText(str);
}


void ReportGenerator::setEntriesHeader( QString str )
{
    entriesheader->setText(str);
}


void ReportGenerator::setEntriesFooter( QString str )
{
    entriesfooter->setText(str);
}


void ReportGenerator::setSingleEntry( QString str )
{
   singleentry->setText(str);
}


QString ReportGenerator::getDocFooter()
{
    return docfooter->text();
}


QString ReportGenerator::getDocHeader()
{
    return docheader->text();
}


QString ReportGenerator::getTabFooter()
{
    return tabfooter->text();
}


QString ReportGenerator::getTabHeader()
{
    return tabheader->text();
}


QString ReportGenerator::getTimerFooter()
{
    return timerfooter->text();
}


QString ReportGenerator::getTimerHeader()
{
    return timerheader->text();
}


QString ReportGenerator::getEntriesHeader()
{
    return entriesheader->text();
}


QString ReportGenerator::getEntriesFooter()
{
    return entriesfooter->text();
    
}


QString ReportGenerator::getSingleEntry()
{
    return singleentry->text();
}


void ReportGenerator::clearAll_pressed()
{
    docheader->setText("");
    tabheader->setText("");
    timerheader->setText("");
    entriesheader->setText("");
    singleentry->setText("");
    entriesfooter->setText("");
    timerfooter->setText("");
    tabfooter->setText("");
    docfooter->setText("");
}


void ReportGenerator::loadTemplate_pressed()
{

}


void ReportGenerator::saveTemplate_pressed()
{

}


void ReportGenerator::resetDefaults_pressed()
{

}


void ReportGenerator::cancel_pressed()
{
    reject();
}


void ReportGenerator::generateReport_pressed()
{
    accept();
}


void ReportGenerator::no_limit_clicked()
{
    if (no_limit->isChecked())
    {
	if (!no_start->isChecked()) dateTime_start->setEnabled(true);
	if (!no_end->isChecked()) dateTime_end->setEnabled(true);
	no_start->setEnabled(true);
	no_end->setEnabled(true);
    }
    else
    {
	dateTime_start->setEnabled(false);
	dateTime_end->setEnabled(false);
	no_start->setEnabled(false);
	no_end->setEnabled(false);	
    };
}


void ReportGenerator::no_end_clicked()
{
    if (no_end->isChecked())
	dateTime_end->setEnabled(false);
    else
	dateTime_end->setEnabled(true);
}


void ReportGenerator::no_start_clicked()
{
    if (no_start->isChecked())
	dateTime_start->setEnabled(false);
    else
	dateTime_start->setEnabled(true);

}


QDateTime ReportGenerator::getDateTimeStart()
{
    return dateTime_start->dateTime();
}


QDateTime ReportGenerator::getDateTimeStop()
{
    return dateTime_end->dateTime();
}


void ReportGenerator::setDateTimeStart( const QDateTime & start )
{
    dateTime_start->setDateTime(start);
}


void ReportGenerator::setDateTimeStop( const QDateTime & stop )
{
    dateTime_end->setDateTime(stop);
}


bool ReportGenerator::isLimited()
{
    return no_limit->isChecked();
}


bool ReportGenerator::isLimited_start()
{
    return !no_start->isChecked();
}


bool ReportGenerator::isLimited_stop()
{
    return !no_end->isChecked();
}
